exports.AccountFactory = Object.freeze({
  // Testnet
  mumbai: {
    factoryAddress: '0xAA6f31AEbD751Feedc1e87c980A260dCD46b8d20',
  },
  goerli: {
    factoryAddress: '0x566b6c348822B8406C8FC7EE270143f46002976E',
  },
  'polygon-zkevm-testnet': {
    factoryAddress: '0xaDda25B23f7b4bA74B1e58fCc3d86c43207D2e8e',
  },
  'celo-alfajores-testnet': {
    factoryAddress: '0x5777c6004b9a7620c82c20c9603fadf038934779',
  },
  'binance-testnet': {
    factoryAddress: '0xE5c2a27BEb06A74Fad65508775B16902d1F922B9',
  },
  'avalanche-fuji': {
    factoryAddress: '0x5777c6004b9a7620c82c20c9603fadf038934779',
  },
  zkatana: {
    factoryAddress: '',
  },
  // Mainnet
  ethereum: {
    factoryAddress: '',
  },
  polygon: {
    factoryAddress: '0x924042a388cAeDe84C969B1f95596c596a7075c3',
  },
  'polygon-zkevm': {
    factoryAddress: '',
  },
  astar: {
    factoryAddress: '0xED8657e3169707faC932036a9B51889877fe871E',
  },
  celo: {
    factoryAddress: '0x5Eec1A55ADf49Ef53E7AeB6749655E91cE8b9660',
  },
  binance: {
    factoryAddress: '0x5Eec1A55ADf49Ef53E7AeB6749655E91cE8b9660',
  },
  avalanche: {
    factoryAddress: '0x5Eec1A55ADf49Ef53E7AeB6749655E91cE8b9660',
  },
  /*
  shiden: {
    factoryAddress: '0x3e6c82F05b28a6B0be5Eff91b21767B6a4166c96',
  },*/
})

/**
 *
 * @private
 * @param {string} network network
 * @returns {string}
 */
exports.getFactoryAddress = (network) => {
  return exports.AccountFactory?.[network]?.factoryAddress || undefined
}
